package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory

import com.example.ellegadodepintia.exploradoresDePintia.model.Opcion

class EventoReliquia(
    override val descripcion: String,
    override val dificultad: Int,
    override val opciones: MutableList<Opcion>,
    override val imagen: Int, resistenciaMax: Int, resistenciaActual: Int,
    override var finalizado: Boolean
    ) : Evento(descripcion, dificultad, opciones, imagen, resistenciaMax, resistenciaActual, finalizado) {
    override var resistenciaActual: Int = (1..<resistenciaMax).random()
}